403Webshell
Server IP : 82.208.35.60  /  Your IP : 216.73.216.89
Web Server : Apache/2.4.55 (FreeBSD) OpenSSL/1.1.1q-freebsd PHP/7.3.31
System : FreeBSD server7.d2m.cz 12.4-RELEASE-p9 FreeBSD 12.4-RELEASE-p9 GENERIC amd64
User : studiokobylisy_cz ( 1008)
PHP Version : 7.3.31
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : OFF  |  Perl : OFF  |  Python : OFF  |  Sudo : OFF  |  Pkexec : OFF
Directory :  /usr/ports/sysutils/procenv/files/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/ports/sysutils/procenv/files/patch-src_tests_show__compiler__details
--- src/tests/show_compiler_details.orig	2019-08-02 20:40:49 UTC
+++ src/tests/show_compiler_details
@@ -9,8 +9,12 @@ CPP=${CPP:-cpp}
 LD=${LD:-ld}
 
 # handle strange environments
-command -v gcpp >/dev/null 2>&1 && CPP=gcpp
-command -v gcc >/dev/null 2>&1 && CC=gcc
+if ! command -v $CPP; then
+	command -v gcpp && CPP=gcpp
+fi >/dev/null 2>&1
+if ! command -v $CC; then
+	command -v gcc && CC=gcc
+fi >/dev/null 2>&1
 
 echo "XXX:--------------------------------------------------"
 echo "XXX: $0: preprocessor ('$CPP') version"

Youez - 2016 - github.com/yon3zu
LinuXploit